Loading...
Searching...
No Matches
configuration.hpp File Reference

Provides seqan3::configuration and utility functions. More...

`#include <concepts>`
`#include <seqan3/core/configuration/detail/concept.hpp>`
`#include <seqan3/core/configuration/detail/configuration_utility.hpp>`
`#include <seqan3/core/detail/template_inspection.hpp>`
`#include <seqan3/core/detail/transfer_type_modifier_onto.hpp>`
`#include <seqan3/utility/tuple/pop_front.hpp>`
`#include <seqan3/utility/type_list/type_list.hpp>`
Include dependency graph for configuration.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::configuration< configs_t >
| Collection of elements to configure an algorithm. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.
namespace | std
| SeqAn specific customisations in the standard namespace.

## Functions

Tuple interface
template<template< typename... > class query_t, typename... configs_t>
constexpr auto && | seqan3::get (configuration< configs_t... > &&config) noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<template< typename... > class query_t, typename... configs_t>
constexpr auto const && | seqan3::get (configuration< configs_t... > const &&config) noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<template< typename... > class query_t, typename... configs_t>
constexpr auto const & | seqan3::get (configuration< configs_t... > const &config) noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## Detailed Description

Provides seqan3::configuration and utility functions.

Author
  Rene Rahn <rene.rahn AT fu-berlin.de>

Hide me